Subject: RE: bug#9074: 24.0.50; problems trying to mail bug report, again

From: "Drew Adams" <[email-masked]>
Date: Thu, 4 Aug 2011 08:38:50 -0700

> > Let me put it differently.  Is it correct that the message ID have
> > such a value?
> 
> The Message-Id is irrelevant if you are using mailclient-send-it. It has
> this value for the same reason as the From field has a bogus value -
> because mail is not properly configured in this emacs session.

OK, thanks.

And I notice that if Emacs already knows that the current user is using
`mailclient-send-it' (e.g. saved customization from answering `n' about SMTP
config), then we do not show that field at all, which is good (helps avoid
confusion).